astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Virtual Observatory Access (`astropy.vo`) »
- SAMP (Simple Application Messaging Protocol (`astropy.vo.samp`) »
- WebProfileDialog

# WebProfileDialog

class `astropy.vo.samp.``WebProfileDialog`

  Bases: `object`

  A base class to make writing Web Profile GUI consent dialogs easier.

  The concrete class must:

  > 1. Poll `handle_queue` periodically, using the timer services of the GUI’s event loop. This function will call `self.show_dialog` when a request requires authorization. `self.show_dialog` will be given the arguments:

  >    > - `samp_name`: The name of the application making the request.
  >    > - `details`: A dictionary of details about the client making the request.
  >    > - `client`: A hostname, port pair containing the client address.
  >    > - `origin`: A string containing the origin of the request.

  > 2. Call `consent` or `reject` based on the user’s response to the dialog.

  Methods Summary

  `consent`() |
  `handle_queue`() |
  `reject`() |

  Methods Documentation

  `consent`()
  `handle_queue`()
  `reject`()